Page MenuHomePhabricator

Add screenshots to extension and skin infoboxes on mediawiki.org
Closed, DuplicatePublic

Description

A significant number of extensions and skins on MediaWiki.org do not have a screenshot in their infobox.

Pick an extension or skin from those categories to take screenshots of. It is ideal if you can take the screenshot on a vanilla instance of MediaWiki (using MediaWiki-Vagrant for example), but some extensions may be difficult to setup and configure, for those it's okay if you take a screenshot from a MediaWiki installation on the internet (WikiApiary can be helpful in finding sites with the extension installed). Make sure the screenshots do not contain any parts of your browser or OS, and just focus on the extension's functionality. See also Help:Screenshots.

Next, upload the images to Wikimedia Commons. Make sure you use the correct licensing templates, {{MediaWiki screenshot}} for vanilla MediaWiki, or {{Wikimedia-screenshot}} for Wikimedia sites. The image should be added to the category Category:Screenshots of MediaWiki extensions.

Finally, add the image to the extension/skin page on mediawiki.org by reaching that page, clicking "edit" or "edit source", editing the template and adding the |image= parameter.

Event Timeline

Legoktm created this task.Dec 13 2015, 1:57 AM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added subscribers: Legoktm, Nemo_bis.
Restricted Application added a project: Documentation. · View Herald TranscriptDec 13 2015, 1:57 AM
Restricted Application added subscribers: StudiesWorld, Steinsplitter, Aklapper. · View Herald Transcript
Nemo_bis updated the task description. (Show Details)Dec 13 2015, 8:21 AM
Nemo_bis set Security to None.

Looks good, thank you. Two questions.

  1. Do we want translated screenshots too in this stage? If not, better exclude translation pages from the category ({{#translation:}} can be used to identify them in templates).
  2. How big should the task be, are 3 extensions/skins ok or will that scare students away? IIRC the original recommendation was that each task should be 2-3 hours of an experienced contributor. Learning screenshot-taking uploading, categories, template editing and the extension/skin infobox are many "traps" for this task: should we eliminate some of these steps, can we link help pages for each? We can start with this size and adapt later.

Who wants to mentor the task?

Looks good, thank you. Two questions.

  1. Do we want translated screenshots too in this stage? If not, better exclude translation pages from the category ({{#translation:}} can be used to identify them in templates).

Probably not. I tried adding the parser function in and ended up breaking the category https://www.mediawiki.org/w/index.php?title=Template%3ASkin&type=revision&diff=1963334&oldid=1962131... help?

  1. How big should the task be, are 3 extensions/skins ok or will that scare students away? IIRC the original recommendation was that each task should be 2-3 hours of an experienced contributor. Learning screenshot-taking uploading, categories, template editing and the extension/skin infobox are many "traps" for this task: should we eliminate some of these steps, can we link help pages for each? We can start with this size and adapt later.

You're right, 3 might be too many. Lets start with 1 for now and see how it goes?

Who wants to mentor the task?

Me! :)

Legoktm updated the task description. (Show Details)Dec 15 2015, 2:16 AM

+Niharika as she's interested in ways to make people set up mediawiki-vagrant.

https://www.mediawiki.org/w/index.php?title=Template%3ASkin&type=revision&diff=1963334&oldid=1963326 worked, right? 39 skins without a screenshot now. extensions without a screenshot now at 2355 and quickly decreasing.

You're right, 3 might be too many. Lets start with 1 for now and see how it goes?

Yes. Please someone create the task and I'll approve it.

I can co-mentor, if you think it'll help. Our timezones differ, so it might.

Nemo_bis triaged this task as Normal priority.Dec 17 2015, 10:16 AM

Added Niharika and published, 5 instances for now. Still 1900+ extensions!

I'd say it's beginner task too. Straightforward stuff. Unless that hinders more students from taking it on?

This is not easy at all even for an experienced editor: most screenshots seen in the wild are wrong. If the amount of work proves small, we'll increase the number of extensions to cover.

I've added the screenshot for the 'Dusk' skin.

https://www.mediawiki.org/wiki/Skin:Dusk

Niharika closed this task as Resolved.Jan 3 2016, 5:15 PM

I've added the screenshot for the 'Dusk' skin.
https://www.mediawiki.org/wiki/Skin:Dusk

Good job. Thank you!

Nemo_bis reopened this task as Open.Jan 3 2016, 6:55 PM

This is a general task and there are 22+1934 more to do. :)

Nemo_bis removed ananayarora as the assignee of this task.Jan 3 2016, 6:55 PM
JadeMaveric added a comment.EditedJan 15 2016, 2:55 PM

What would count as 'the extension's functionality'?
Would it be something like this? ( even though it's a skin ) https://www.mediawiki.org/wiki/Skin:PureCss#How_it_looks
(btw, that one needs to be removed from ' MW skins without a screenshot'.

What would count as 'the extension's functionality'?
Would it be something like this? ( even though it's a skin ) https://www.mediawiki.org/wiki/Skin:PureCss#How_it_looks

Probably.

(btw, that one needs to be removed from ' MW skins without a screenshot'.

It will be automatically if you use the "Skin" template at the beginning of the page as asked by the instructions.

Okay. I've updated the PureCss skin.
I'll take the screenshots of 'Monaco' and 'Timeglass'. Once I've finished (re)installing MW-vagrant

Okay. I've updated the PureCss skin.
I'll take the screenshots of 'Monaco' and 'Timeglass'. Once I've finished (re)installing MW-vagrant

You haven't submitted the task? Only one screenshot is needed per task instance.

But I didn't takethat screenshot. It was already there. I just updated the 'image' parameter. (Does that count?)

But I didn't takethat screenshot. It was already there. I just updated the 'image' parameter. (Does that count?)

Firstly, I appreciate the honesty. :)
Secondly, did you check if that screenshot is still valid and accurate? If not, could you do that?
If you do that, it'll count, else not. :)

Thanks.
Yup, the screenshot is valid, check: https://wiki.sugarlabs.org/go/Welcome_to_the_Sugar_Labs_wiki?useskin=purecss (hilariously long loading time).

Licensing still needs to fixed. I sent an email to the author (air_bob). Included a link to this Phab. ticket as well. He may use the licensing asked for by this task.

JadeMaveric added a comment.EditedJan 17 2016, 4:38 PM

I fused the two screenshots to make one big one!!!
Should I use that instead?


What about the licensing for that. I'm don't think it'd be 'my work'. It's more like 'derived'.

I fused the two screenshots to make one big one!!!
Should I use that instead?


What about the licensing for that. I'm don't think it'd be 'my work'. It's more like 'derived'.

Oh, awesome. Yup, use this. (Although I already accepted your task).

I'm not sure about the licensing part. I think you can attribute it to the original uploader and make the license same as on the original ones. Probably CC-BY-SA.

kk, thanks.
The original one doesn't have a 'machine readable license'. And the author hasn't replied to my email, yet.
I'll wait for a week. If he doesn't reply, then I'll upload this image with the CC-BY-SA (https://creativecommons.org/licenses/).
If he does reply, then I'll upload it with his license. (Probably the same one)

JadeMaveric removed JadeMaveric as the assignee of this task.Jan 18 2016, 9:40 AM

The author replied. Apparently I can do anything I want with the image, it doesn't have a license.
So I'll do what the I said in my last post.

Added a screenshot for the 'Monaco' skin.
https://www.mediawiki.org/wiki/Skin:Monaco

Added a screenshot for the 'Example' skin too.
https://www.mediawiki.org/wiki/Skin:Example

@Saylikarnik
To add screenshots to the infobox update the 'image' parameter with the file name, not the file path.
eg: For the 'example skin' once you click on 'edit source' the infobox.image parameter should be just ExampleSkin.jpg and not https://commons.wikimedia.org/wiki/File:ExampleSkin.jpg

Make sure you remove the screenshots you added separately later on. And thanks for doing this task. :)

Oh! I'll make the changes right away. :)

husn_shujaat added a subscriber: husn_shujaat.

Should we add this task to Google Code-in again? I'm in for mentoring it.

Should we add this task to Google Code-in again? I'm in for mentoring it.

Yes and thanks! :) We seem to handle this in T179709 this year.

I'm sorry, I haven't seen this task, and created T121332: Add screenshots to extension and skin infoboxes on mediawiki.org. Feel free to add yourself as mentor on GCI website !